LFR-FSW - Bug #1039

probléeme de centrage des snapshots avec FSW 3.2.0.12
29/03/2017 06:13 PM - thomas chust

Status: Closed Start date: 29/03/2017
Priority: High Due date:

Assignee: bruno katra % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
revision: r0

Description

Bruno a fait un test de 16h hier soir en mode NORMAL pour tester la régularité des SWF a 300s de périodes:

Le 29/03/2017 a 11:12, bruno.katra@lpp.polytechnique.fr a écrit :

J'ai mis sur le ftp finalement
ftp:/ftp.lpp.polytechnique.fr/katra/temp/LFR_DATA/16hrs_of NORMAL_F3LONG_nominal_EM+TIMEGEN/
Tu peux faire ton marché !

Il'y a 195 snapshots et si la régularité est plutét bonne (comme avant avec la 3.0.022) le centrage ne I'est plus du tout:

® les SWF_FO sont centrés sur la seconde de départ des SWF_F2 (time_shift_2to0 ~ -0.041 s)
¢ les SWF_F1 démarrent un chouia apres Ides SWF_F2 (time_shift_2to1~ 0.00032 s), ce qui est cohérent avec des SWF_F1
centrés a ~0.25 s aprés une seconde pile:
plot_delta_ SWF_F1_test.png
plot_delta_ SWF_FOQ_test.png
plot_delta_ SWF_F2_test.png

History

#1 - 30/03/2017 08:02 AM - paul leroy

Possible qu'il faille ajuster la valeur du paramétre delta_f0_2 du waveform picker (se référer a la doc du VHDL pour la signification des parameétres de
réglage des snapshots). La valeur actuelle date d'il y a longtemps (avant la 3.0.0.22) et le VHDL a évolué depuis. Demander a Alexis ce qu'il en
pense.

void set_wfp_delta_f0_f0_2( void )

{
unsigned int delta_snapshot;
unsigned int nb_samples_per_snapshot;
float delta_f0_in_float;

delta_snapshot = waveform_picker_regs->delta_snapshot;
nb_samples_per_snapshot = (parameter_dump_packet.sy_lfr n_swf_1[0] * CONST_256) + parameter_dump_packet.
sy_lfr n_swf_1[1];
delta_f0_in_float = (nb_samples_per_snapshot / 2.) * ( (1. / FREQ_F2) - (1. / FREQ_FO0) ) * FREQ_F2;
waveform_picker_regs->delta_f£0 = delta_snapshot - floor( delta_fO0_in_float );
waveform_picker_regs->delta_£f0_2 = DFLT_WFP_DELTA_FO0_2;
}
avec
#define DFLT_WFP_DELTA_FO0_2 0x30 // 48 = 11 0000, max 7 bits

#2 - 30/03/2017 08:03 AM - paul leroy

- Assignee changed from paul leroy to thomas chust

#3 - 30/03/2017 08:54 AM - thomas chust

- Assignee changed from thomas chust to Alexis Jeandet
Garder aussi a l'esprit que ce test a été fait avec I'EM.
#4 - 30/03/2017 10:03 AM - bruno katra
Petite précision aussi sur les graphes de Thomas : pour moi seul les écarts a F1 sont préoccupants. Pour FO et F2, cela reste la caractérisation déja

obervée et utilisée pour faire la RFD (qui a été acceptée a priori).

#5 - 30/03/2017 11:01 AM - bruno katra
- File 3.2.0.12-SWFs.png added

bruno katra wrote:

ERRATUM : j'avais mal compris ce qu'avait écrit Thomas, rien n'est nominal en fait. Ci dessous un graphe des snapshots supersposé avec la méme
échelle de temps

3.2.0.12-SWFs.png

On voit bien comme Thomas I'a dit : F1 démarre 0.25s trop tard par rapport a FO (qui lui est bien centré sur la seconde attendu i.e. 300s apres
le passage en NORMAL), F2 démarre ~4s en retard

#6 - 30/03/2017 11:18 AM - bruno katra

- File 3.0.0.22-SWFs.png added

Test refait en 3.0.0.22 : les swf sont correctement centrés :
3.0.0.22-SWFs.png

#7 - 30/03/2017 11:49 AM - bruno katra

- Assignee changed from Alexis Jeandet to paul leroy

Inspection dans le code des révisions 277 (3.0.0.22) puis 317 et 318 :

La valeur DFLT_WFP_DELTA_FO0_2 a toujours été 0x30 (en dur ou en DEFINE) donc le test effectué avec VHDL 1.91 + FSW 3.0.0.22 prouve que ce
n'est pas cette valeur qui permet d'expliquer le décalage.

#8 - 30/03/2017 12:46 PM - paul leroy

Je viens de faire un diff sur mes fichiers wf_handler.c entre 3.0.0.22 et la révision locale. J'ai vu un gros bug, qui est apparu a I'époque ou j'ai di
enlever toutes les constantes littérales du code pour satisfaire les demandes du CNES.

J'avais en local:
deltaT_FO0 = DELTAT_FO;
deltaT_F1 = DELTAF_F1;
deltaT_F2 = DELTAF_F2;
Au lieu de:
deltaT_FO = DELTAT_FO;
deltaT_F1 = DELTAT_F1;
deltaT_F2 = DELTAT_F2;
Je joins une version 3.2.0.12 modifiée pour valider ¢ca. Normalement, ¢a devrait aller!

#9 - 30/03/2017 12:50 PM - paul leroy
- File fsw-3-2-0-12-363-071a09d6f71c added

#10 - 30/03/2017 12:51 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

#11 - 30/03/2017 12:52 PM - bruno katra

paul leroy wrote:
Je viens de faire un diff sur mes fichiers wf_handler.c entre 3.0.0.22 et la révision locale. J'ai vu un gros bug, qui est apparu a I'époque ou j'ai di
enlever toutes les constantes littérales du code pour satisfaire les demandes du CNES.

J'avais en local:

(-]

Au lieu de:

[-]
Je joins une version 3.2.0.12 modifiée pour valider ¢ga. Normalement, ¢a devrait aller!

AH ! C'est une bonne piste ¢a !
Je teste immédiatement

#12 - 30/03/2017 01:58 PM - bruno katra

- Status changed from New to Closed

Test rejoué en fsw-3-2-0-12-363-071a09d6f71c : le centage est redevenu nominal & premiére vue.
Paul, peux-tu nous livrer une 3.2.0.13 pour la tragabilité?

Merci

#13 - 30/03/2017 02:00 PM - bruno katra
- File 3-2-0-12-363-071a09d6f71c-SWFs.png added

3-2-0-12-363-071a09d6f71c-SWFs.png
#14 - 30/03/2017 02:51 PM - paul leroy

Tu ne m'avais pas réattribué I'issue petit scarabée.

Je préfererais attendre la livraison finale du filtre pour la 3.2.0.13, ¢a pose un probleme? Je pense qu'Alexis doit me transmettre des nouveaux
coefficients.

#15 - 30/03/2017 02:53 PM - paul leroy

Détail: si l'issue est "Closed", elle n'apparait plus dans le tableau de bord alors il faut faire gaffe a ne pas y poser de question.

#16 - 30/03/2017 02:53 PM - paul leroy

- Status changed from Closed to In Progress
#17 - 30/03/2017 03:19 PM - bruno katra
paul leroy wrote:
Tu ne m'avais pas réattribué l'issue petit scarabée.
Je préférerais attendre la livraison finale du filtre pour la 3.2.0.13, ¢a pose un probléme? Je pense qu'Alexis doit me transmettre des nouveaux

coefficients.

Je ne suis pas s(r que tu auras les coeff avant la livraison, j'ai causé avec Alexis et on livrera peut-étre tel quel avec mise a jour des coeff pour les
calibrations au CNES.

Aussi le pb avec la 3.2.0.12 c'est que j'en ai 4 versions (compilée par Alexis avec et sans -mfix-b2bst + 2 de toi). J'ai du coup beaucoup de tests avec
ce numéro dans les HK alors que le soft différe, ca commence a étre limite pour la tragabilité.

Si vraiment c'est pas grand chose, je préférerai continuer avec une 3.2.0.13.

Merci d'avance

#18 - 30/03/2017 03:20 PM - bruno katra

- Assignee changed from bruno katra to paul leroy

#19 - 30/03/2017 04:21 PM - paul leroy

- Assignee changed from paul leroy to bruno katra

OK, c'est fait. Bon test!

#20 - 30/03/2017 05:17 PM - bruno katra
- Status changed from In Progress to Closed

3.2.0.13 livrée et centrage OK testé sur EQM: cloture
